/*
 * interrupt.h
 *
 *  Created on: Aug 29, 2019
 *      Author: abody
 */

#ifndef CONSOLEHANDLER_H_
#define CONSOLEHANDLER_H_

#include "usart.h"
#include "f4ll_c/dmahelper.h"
#include "f4ll_c/packetusart.h"

#ifdef __cplusplus
extern "C" {
#endif

void Con_HandleTxDmaIrq(struct dmainfo_t *info, USART_TypeDef *usart);
void Con_HandleUsartIrq(USART_TypeDef *usart);

void Con_PrintStats(char *buffer, uint8_t id,  struct usart_stats *stats, USART_TypeDef *usart, struct dmainfo_t *dmaInfo);

#ifdef __cplusplus
}
#endif

#endif /* CONSOLEHANDLER_H_ */
